// Programmed by Anthony Barbachan
// Programmed in Turbo C++ 3.0
// Note: This is the source for the object librarys (OBJECT??.LIB)
// Purpose: To provide components for data structures.

// Version 1.00
// Last Modified On 7/9/95

#ifndef __OBJECT_CPP__
#define __OBJECT_CPP__

#include "object.hpp"

///////////////////////////////////////***************************************

// This function sets the pointer next to n and returns next's old value

ObjectBase* ObjectBase::LinkNext(ObjectBase* n)
{
	ObjectBase* old = next;			// Save old value of next
	next = n;						// Change next to n
	return old;					// Return old value of next
}

///////////////////////////////////////***************************************

// This function sets the pointer prev to p and returns prev's old value

ObjectBase* ObjectBase::LinkPrevious(ObjectBase* p)
{
	ObjectBase* old = prev;			// Save old value of prev
	prev = p;						// Change prev to p
	return old;					// Return old value of prev
}

///////////////////////////////////////***************************************

// This function returns the value of obj and set obj to o
/*
template <class ObjectType>
ObjectType* ObjectHolder<ObjectType>::LinkObject(ObjectType* o)
{
	ObjectType* old = obj;			// Save old value of obj
	obj = o;						// Save value of o in obj
	return old;					// Return old value of obj
}
*/
///////////////////////////////////////***************************************

#endif